#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Michael Boniface
#//      Created Date :          23/01/2018
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# Install apache
sudo apt-get update
sudo apt-get -y install apache2
# Copy corrected configed over
  # Servername
sudo rm /etc/apache2/apache2.conf
sudo cp ./test/services/apache/apache2.conf /etc/apache2/apache2.conf
  # ports
sudo rm /etc/apache2/ports.conf
sudo cp ./test/services/apache/ports.conf /etc/apache2/ports.conf
  # ports for server
sudo rm /etc/apache2/sites-enabled/000-default.conf
sudo cp ./test/services/apache/000-default.conf /etc/apache2/sites-enabled/000-default.conf
sudo rm /etc/apache2/sites-available/000-default.conf
sudo cp ./test/services/apache/000-default.conf /etc/apache2/sites-available/000-default.conf

# Copy files for MPEG-DASH testing
sudo cp ./resources/videofile.mp4 /var/www/html/videofile.mp4
sudo cp ./resources/stream.mpd /var/www/html/stream.mpd
sudo cp -r ./resources/audio/* /var/www/html/audio
sudo cp -r ./resources/video/* /var/www/html/video


sudo apachectl -k start
sudo apachectl -k restart
